// glmfcView.h : interface of the CglmfcView class
//


#pragma once
#include<GL/gl.h>
#include<GL/glu.h>


class CglmfcView : public CView
{
protected: // create from serialization only
	CglmfcView();
	DECLARE_DYNCREATE(CglmfcView)

// Attributes
public:
	CglmfcDoc* GetDocument() const;
	CClientDC	*m_pDC;	// DC della finestra
	HGLRC		m_hrc;	// Contesto OpenGL


// Operations
public:
	BOOL CglmfcView::SetupPixelFormat( CDC * pDC );
  inline BOOL SetGL()
{
	if(!(m_pDC && m_hrc)) {
		TRACE("Failed SetGL\n");
		return false;
	}
		
  if(!wglMakeCurrent(m_pDC->GetSafeHdc(), m_hrc)){
		AfxMessageBox("GlMakeCurrent Error");
		return FALSE;
	  }
  return TRUE;
}


// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CglmfcView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
};

#ifndef _DEBUG  // debug version in glmfcView.cpp
inline CglmfcDoc* CglmfcView::GetDocument() const
   { return reinterpret_cast<CglmfcDoc*>(m_pDocument); }
#endif

